[SM-Grimoire-Bugs] [Bug 15084] module-init-tools 3.6 prevents system from booting

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Mon Mar 23 00:20:32 EDT 2009


http://bugs.sourcemage.org/show_bug.cgi?id=15084


Eric Sandall <sandalle at sourcemage.org> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
               Flag|fixed_in_lesser_branch+     |




--- Comment #7 from Eric Sandall <sandalle at sourcemage.org>  2009-03-22 23:20:30 ---
The Gentoo bug mentions you cannot have UNIX98_PTYS disabled for 2.6.28 on
non-embedded systems, yet all my kernels are built with:
CONFIG_UNIX98_PTYS=y

and I still have the issue.

After reverting 3.6 down to 3.5, my system doesn't boot with depmod complaining
about 'bad magic' numbers. If I boot to a rescue CD and then re-run `depmod -ae
<kernel>` and reboot, it boots.

For some reason, the depmod in module-init-tools/FINAL is still using the newer
3.6 setup to generate module information, since I just copy the command (taking
out the Sorcery stuff) from FINAL to run from my rescue environment and all
works.

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the SM-Grimoire-Bugs mailing list